@import 'src/style/includes/sass_vars_and_mixins.module.scss';


$transition-duration: 0.3s;

.infoButton {
  display: flex;
}

.infoboxTitle {
  font-size: var(--font-size-xxl);
  margin-bottom: var(--space-m);
  margin-top: 0;
  line-height: var(--font-line-height-tightest);
  position: relative;
  display: flex;
  align-items: center;
  color: var(--color-brand-base);

  @include smaller-than-s {
    .titleIcon {
      position: static;
      display: flex;
      transform: none;
      margin-bottom: var(--space-xxs);
    }
  }
}

// PATHWAY SPECIFIC
.metaItem {
  margin-bottom: var(--space-l);

  .metaItemName {
    margin-bottom: 0;
    font-size: var(--font-size-m);
  }
}

.metaItemSecondaryName {
  color: var(--color-text-weaker);
  font-size: var(--font-size-s);
  margin-bottom: var(--space-m);
}

.wrapper {
  position: fixed;
  width: 100%;
  height: 100%;
  right: 0;
  top: 0;
  z-index: 999;
  display: flex;
  align-items: stretch;
  justify-content: flex-end;

  &:before {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    background: rgba(black, 0.6);
    transition: all $transition-duration;
    opacity: 1;
  }

  &[aria-hidden='true'] {
    pointer-events: none;

    & > *,
    &:before {
      visibility: hidden;
      pointer-events: none;
      opacity: 0;
      transition: visibility $transition-duration, transform $transition-duration,
        opacity $transition-duration;
    }

    .inner {
      transform: translateX(10%);
    }
  }
}

.inner {
  width: 600px;
  max-width: 60%;
  background: white;
  overflow: scroll;
  transform: translateX(0);
  padding: var(--space-xl) var(--space-l);
  padding-left: var(--space-l);
  opacity: 1;
  transition: transform $transition-duration, opacity $transition-duration;

  @include smaller-than-s {
    width: 100%;
    max-width: none;
    padding: var(--space-l);
  }
}

.modalCloserWrapper {
  position: absolute;
  width: 600px;
  max-width: 60%;
  pointer-events: none;
  bottom: 0;

  @include smaller-than-s {
    width: 100%;
    max-width: none;
    left: 0;
  }
}

.modalCloser {
  pointer-events: all;
  position: absolute;
  right: calc(100% + 2em);
  bottom: 2em;
  box-shadow: 0 0 0 2px rgba(white, 0.3), 0 0 10px rgba(black, 0.5);

  @include smaller-than-s {
    right: unset;
    left: var(--space-m);
  }
}
